BaselinePolicy (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.workflow

## Class BaselinePolicy

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.cloudbus.cloudsim.workflow.Policy
    - - org.cloudbus.cloudsim.workflow.BaselinePolicy

- All Implemented Interfaces:
    ContentHandler, DTDHandler, EntityResolver, ErrorHandler

      public class BaselinePolicy
      extends Policy

  This class implements an "ideal" scheduler that creates 1 VM for each task. The VM is the best possible. The execution time generated by this schedule is used for deadline generation.

- - ### Field Summary

    - ### Fields inherited from class org.cloudbus.cloudsim.workflow.Policy

      `modedvfs, optimizeScheduling, ownerId, vmOffers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaselinePolicy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Task` | `analyseParent(Task t)`
    `void` | `doScheduling(long availableExecTime, VMOffers vmOffers)` Fills the provisioning and scheduling data structures that are supplied to the Workflow Engine.
    `ArrayList<Task>` | `findCriticalPath()`
    `void` | `getCriticalPath()`

    - ### Methods inherited from class org.cloudbus.cloudsim.workflow.Policy

      `endDocument, getDataRequiredLocation, getProvisioning, getScheduling, printScheduling, processDagFile, startDocument, startElement`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaselinePolicy

          public BaselinePolicy()

  - ### Method Detail

    - #### doScheduling

          public void doScheduling(long availableExecTime,
                          VMOffers vmOffers)

      Description copied from class: `Policy`
      Fills the provisioning and scheduling data structures that are supplied to the Workflow Engine.
      Specified by:
        `doScheduling` in class `Policy`
      Parameters:
        `availableExecTime` - time before the deadline
        `vmOffers` - the VMOffers object that encapsulates information on available IaaS instances

    - #### findCriticalPath

          public ArrayList<Task> findCriticalPath()

    - #### analyseParent

          public Task analyseParent(Task t)

    - #### getCriticalPath

          public void getCriticalPath()

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.